Bug 1823694 (CVE-2020-2803) - CVE-2020-2803 OpenJDK: Incorrect bounds checks in NIO Buffers (Libraries, 8234841)
Summary: CVE-2020-2803 OpenJDK: Incorrect bounds checks in NIO Buffers (Libraries, 823...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-2803
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1826103 1826104 1810784 1810785 1810786 1810787 1810788 1810789 1810790 1810791 1810792 1810793 1810794 1821435 1821436 1821437 1832246 1832247 1832248 1832249 1832250 1832251 1832252 1832253 1832254
Blocks: 1810559
TreeView+ depends on / blocked
 
Reported: 2020-04-14 09:52 UTC by Tomas Hoger
Modified: 2020-07-26 23:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the boundary checks in the java.nio buffer classes in the Libraries component of OpenJDK, where it is bypassed in certain cases. This flaw allows an untrusted Java application or applet o bypass Java sandbox restrictions.
Clone Of:
Environment:
Last Closed: 2020-04-21 16:32:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1534 None None None 2020-04-22 01:02:16 UTC
Red Hat Product Errata RHBA-2020:1535 None None None 2020-04-22 08:58:07 UTC
Red Hat Product Errata RHBA-2020:1957 None None None 2020-04-29 01:12:36 UTC
Red Hat Product Errata RHBA-2020:1958 None None None 2020-04-29 01:12:44 UTC
Red Hat Product Errata RHBA-2020:1997 None None None 2020-04-30 15:04:39 UTC
Red Hat Product Errata RHBA-2020:1999 None None None 2020-04-30 18:18:19 UTC
Red Hat Product Errata RHBA-2020:2034 None None None 2020-05-06 08:47:16 UTC
Red Hat Product Errata RHBA-2020:2035 None None None 2020-05-06 08:50:53 UTC
Red Hat Product Errata RHBA-2020:2073 None None None 2020-05-12 08:36:34 UTC
Red Hat Product Errata RHBA-2020:2177 None None None 2020-05-18 09:50:16 UTC
Red Hat Product Errata RHBA-2020:2188 None None None 2020-05-18 14:46:57 UTC
Red Hat Product Errata RHBA-2020:2189 None None None 2020-05-18 14:45:36 UTC
Red Hat Product Errata RHBA-2020:2191 None None None 2020-05-18 14:47:56 UTC
Red Hat Product Errata RHBA-2020:2194 None None None 2020-05-18 14:49:58 UTC
Red Hat Product Errata RHBA-2020:2248 None None None 2020-05-21 15:21:35 UTC
Red Hat Product Errata RHBA-2020:2254 None None None 2020-05-25 16:20:45 UTC
Red Hat Product Errata RHBA-2020:2620 None None None 2020-06-19 01:48:24 UTC
Red Hat Product Errata RHSA-2020:1506 None None None 2020-04-21 10:21:13 UTC
Red Hat Product Errata RHSA-2020:1507 None None None 2020-04-21 10:20:35 UTC
Red Hat Product Errata RHSA-2020:1508 None None None 2020-04-21 09:32:55 UTC
Red Hat Product Errata RHSA-2020:1509 None None None 2020-04-21 11:17:18 UTC
Red Hat Product Errata RHSA-2020:1512 None None None 2020-04-21 11:31:32 UTC
Red Hat Product Errata RHSA-2020:1514 None None None 2020-04-21 16:31:57 UTC
Red Hat Product Errata RHSA-2020:1515 None None None 2020-04-22 09:34:01 UTC
Red Hat Product Errata RHSA-2020:1516 None None None 2020-04-22 09:17:26 UTC
Red Hat Product Errata RHSA-2020:1517 None None None 2020-04-22 09:14:59 UTC
Red Hat Product Errata RHSA-2020:2236 None None None 2020-05-20 14:24:42 UTC
Red Hat Product Errata RHSA-2020:2237 None None None 2020-05-20 14:25:12 UTC
Red Hat Product Errata RHSA-2020:2238 None None None 2020-05-20 14:26:05 UTC
Red Hat Product Errata RHSA-2020:2239 None None None 2020-05-20 14:25:39 UTC
Red Hat Product Errata RHSA-2020:2241 None None None 2020-05-20 16:03:52 UTC

Description Tomas Hoger 2020-04-14 09:52:50 UTC
It was discovered that the boundary checks in the java.nio Buffer classes in the Libraries component of OpenJDK could be bypassed in certain cases.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.

Comment 1 Tomas Hoger 2020-04-14 22:16:21 UTC
Public now via Oracle CPU April 2020:

https://www.oracle.com/security-alerts/cpuapr2020.html#AppendixJAVA

Fixed in Oracle Java SE 14.0.1, 11.0.7, 8u251, and 7u261.

Comment 2 errata-xmlrpc 2020-04-21 09:32:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:1508 https://access.redhat.com/errata/RHSA-2020:1508

Comment 3 errata-xmlrpc 2020-04-21 10:20:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1507 https://access.redhat.com/errata/RHSA-2020:1507

Comment 4 errata-xmlrpc 2020-04-21 10:21:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:1506 https://access.redhat.com/errata/RHSA-2020:1506

Comment 5 errata-xmlrpc 2020-04-21 11:17:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1509 https://access.redhat.com/errata/RHSA-2020:1509

Comment 6 errata-xmlrpc 2020-04-21 11:31:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1512 https://access.redhat.com/errata/RHSA-2020:1512

Comment 7 errata-xmlrpc 2020-04-21 16:31:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1514 https://access.redhat.com/errata/RHSA-2020:1514

Comment 8 Product Security DevOps Team 2020-04-21 16:32:47 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-2803

Comment 9 errata-xmlrpc 2020-04-22 09:14:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:1517 https://access.redhat.com/errata/RHSA-2020:1517

Comment 10 errata-xmlrpc 2020-04-22 09:17:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:1516 https://access.redhat.com/errata/RHSA-2020:1516

Comment 11 errata-xmlrpc 2020-04-22 09:33:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1515 https://access.redhat.com/errata/RHSA-2020:1515

Comment 13 errata-xmlrpc 2020-05-20 14:24:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2020:2236 https://access.redhat.com/errata/RHSA-2020:2236

Comment 14 errata-xmlrpc 2020-05-20 14:25:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2020:2237 https://access.redhat.com/errata/RHSA-2020:2237

Comment 15 errata-xmlrpc 2020-05-20 14:25:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2020:2239 https://access.redhat.com/errata/RHSA-2020:2239

Comment 16 errata-xmlrpc 2020-05-20 14:26:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2020:2238 https://access.redhat.com/errata/RHSA-2020:2238

Comment 17 errata-xmlrpc 2020-05-20 16:03:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:2241 https://access.redhat.com/errata/RHSA-2020:2241


Note You need to log in before you can comment on or make changes to this bug.